import {Component, OnInit} from '@angular/core';
import {ScheduleInfo, ScheduleService} from "../../api";

@Component({
  selector: 'app-dashboard',
  templateUrl: './dashboard.component.html',
  styleUrls: ['./dashboard.component.css']
})
export class DashboardComponent implements OnInit{

  missedSchedules: boolean = true
  taskRunning: boolean = false
  schedules: ScheduleInfo[] = []

  constructor(private scheduleService: ScheduleService) {
  }

  ngOnInit() {
    this.scheduleService.schedulesTodayGet().subscribe({
      next: resp => {
        this.schedules = resp;
      }
    })
  }
}
